Subject: [mpls] MPLS-RT Review of draft-gandhi-mpls-ioam-sr-04

From: "Bocci, Matthew (Nokia - GB)" <[email-masked]>
Date: Thu, 7 Jan 2021 11:11:40 +0000

Hello

I have been selected as an MPLS-RT reviewer for this draft.

In general, I agree with the comments posted previously regarding the use of GAL/ACH to identify IOAM packets and create an exception mechanism to enable their processing at intermediate nodes in the hop-by-hop case. I think that this is the main issue blocking adoption.

One other comment: on page 5, “Procedure for Edge-to-Edge IOAM”. There is some text in the second bullet describing a process by which the decapsulating node “forwards and punts the timestamped copy”. I assume what is happening here is that the egress LSR is copying the IOAM packet and punting the copied packet to the slow path for OAM processing, while forwarding the payload. Maybe there is a more detailed description in one of the references, but it would be much clearer to expand this paragraph to describe what exactly the egress LSR is doing before punting the packet.

Best regards

Matthew